.dashboard-page * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "RotorFont", Arial, Helvetica, sans-serif;
}

.page-utasDashboardPage,
.page-utasDashboardPage .utas-page {
  background-color: #f9fbff;
}

:root {
  --neutral-300: #d1d1d1;
  --neutral-600: #666666;
  --neutral-700: #4f4f4f;
  --neutral-black: #000000;
  --neutral-white: #ffffff;
  --accent-color: #2d6bff;
  --bg-green: #50d264;
  --bg-orange: #fd624a;
  --bg-grey: #848a98;
}

.black-text,
.dashboard-page .carousel-item__label-text.black-text {
  color: #4f4f4f;
}

.dashboard-page .carousel-item__info-text {
  color: var(--neutral-black);
  padding-left: 12px;
  font-size: 14px;
  line-height: 25px;
}

.dashboard-page .carousel-item__label-text.black-text {
  color: #4f4f4f;
  font-weight: 500;
  font-family: "RotorFont500", Arial, Helvetica, sans-serif;
}

.dashboard-page .carousel-item__info-text.po-link,
.dashboard-page .carousel-item__info-text.rq-no-link {
  color: var(--accent-color);
  font-weight: 500;
  font-family: "RotorFont500", Arial, Helvetica, sans-serif;
  font-size: 20px;
  line-height: 24px;
  text-decoration: underline;
}

.orange-text,
.dashboard-section__heading-text.orange-text {
  color: #f2a900;
}

.green-text,
.dashboard-section__heading-text.green-text {
  color: #166f61;
}

.blue-text,
.dashboard-section__heading-text.blue-text {
  color: #2f3cd3;
}

.dashboard-page body {
  /* height: 100vh; */
  background-color: #fff;
}

.dashboard-page .carousel-container {
  position: relative;
  width: 100%;
  overflow-y: visible;
  overflow-x: clip;
  max-width: 1358px;
}

.dashboard-page .carousel {
  display: flex;
  transition: transform 1.5s ease-in-out;
}

.dashboard-page .carousel-item {
  min-width: 33.33%; /* Adjust this value based on how many items you want visible at a time */
  padding: 12px;
  text-align: center;
}

.dashboard-page .carousel-item img {
  width: 100%;
  border-radius: 10px;
}

.dashboard-page .movement-controls {
  position: absolute;
  top: 56.5%;
  /* transform: translateY(-50%); */
  background-color: #f9fbff;
  border: 1px solid #a6a6a6;
  padding: 4px 3px 4px 5px;
  font-size: 18px;
  cursor: pointer;
  border-radius: 50%;
  height: 32px;
  width: 32px;
  font-weight: 700;
}

.dashboard-page .prev-btn {
  left: -34px;
  display: none;
  padding: 4px 5px 4px 3px;
}

.dashboard-page .next-btn {
  right: -34px;
  display: none;
}

@media screen  and (max-width: 1439px){
    .dashboard-page .prev-btn {
        left: -26px;
    }
    .dashboard-page .next-btn {
        right: -26px;
      }
}

.dashboard-page .movement-controls:hover {
  background-color: rgba(0, 0, 0, 0.7);
  color: #fff;
}

.dashboard-page .card {
  background-color: #ffffff;
  width: 100%;
  min-height: 197px;
  color: #000;
  border: 1px solid #d1d1d1;
  margin: auto;
  display: flex;
}

.dashboard-page section {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-top: 8px;
}

.dashboard-page .carousel-section {
  display: flex;
  align-items: center;
  /* justify-content: space-between; */
  flex-direction: column;
  justify-content: center;
  max-width: 1358px;
  margin: auto;
}

/* Mobile devices */
@media (max-width: 720px) {
  .dashboard-page .carousel-item {
    min-width: 100%; /* 1 item visible */
  }
}

/* Tablet devices */
@media (min-width: 720px) and (max-width: 1280px) {
  .dashboard-page .carousel-item {
    min-width: 33.33%; /* 3 items visible */
  }
}

/* Desktop devices */
@media (min-width: 1281px) {
  .dashboard-page .carousel-item {
    min-width: 33.33%; /* 4 items visible */
  }
}

.dashboard-page__heading {
  font-size: 26px;
  line-height: 34px;
  width: 100%;
  text-align: left;
  font-weight: 400;
  max-width: 1248px;
  margin: auto;
}

.dashboard-page__main-para {
  font-size: 400;
  font-size: 18px;
  line-height: 26px;
  text-align: center;
  width: 100%;
  max-width: 1248px;
  padding: 22px 10px;
  background-color: #fff;
  border: 1px solid #d1d1d1;
  margin: 24px auto 32px;
}

.dashboard-section__heading {
  display: flex;
  width: 100%;
  justify-content: space-between;
  margin-top: 22px;
  max-width: 1248px;
  align-items: center;
}

.dashboard-section {
  display: flex;
  width: 90%;
  flex-direction: column;
  position: relative;
  max-width: 1278px;
}

.dashboard-section__heading-text {
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 3px;
  font-size: 18px;
  color: #666;
  font-family: "RotorFont500";
}

.dashboard-page .info-container, .dashboard-page .flip-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 100%;
  padding: 16px;
}

.dashboard-page .card-info-text-container {
  display: flex;
  width: 100%;
  padding: 0px 0px 12px;
  align-items: center;
  margin: 0px auto;
}

.dashboard-page .chip {
  background-color: #848a98;
  color: #fff;
  border-radius: 10px;
  padding: 0px 8px;
  font-size: 12px;
  margin-left: 12px;
  margin-top: 1px;
  height: 20px;
  line-height: 20px;
  min-width: 50px;
  font-family: "RotorFont500", Arial, Helvetica, sans-serif;;
}

.dashboard-page .card-info-text-container-right .carousel-item__info-text.chip {
    line-height: 20px;
}

.dashboard-page .req-info-container {
  display: flex;
  width: 100%;
  justify-content: space-between;
  padding: 1px 0px;
}

.dashboard-page .card-info-text-container.card-info-text-container-left {
  min-width: 205px;
  max-width: 205px;
}

.dashboard-page .card-info-text-container.card-info-text-container-left .carousel-item__label-text {
    max-width: 101px;
    min-width: 101px;
}

.dashboard-page .card-info-text-container.card-info-text-container-right {
  min-width: 158px;
  max-width: 158px;
}

.dashboard-page .req-info-container .carousel-item__label-text {
  width: 101px;
}

.dashboard-page
  .req-info-container
  .card-info-text-container-right
  .carousel-item__label-text {
  width: 55px;
  min-width: 55px;
  text-align: left;
}

.dashboard-page .carousel-container3 .card-info-text-container {
  margin: 0px;
}

.dashboard-page .carousel-container3 .card-info-text-container-left .carousel-item__info-text {
    margin: 0px;
    overflow-y: hidden;
    overflow-x: hidden;
    /* height: 24px; */
    text-align: left;
    word-break: break-all;
}

.dashboard-page
  .req-info-container
  .card-info-text-container
  .carousel-item__info-text.chip.chip-green {
  padding-left: 8px;
}

.dashboard-page .chip.chip-green {
  background-color: #bff3c6;
  color: #1d782c;
}

.dashboard-page .chip.chip-orange {
  background-color: #ffe4e0;
  color: #eb3317;
}

.dashboard-page .carousel-item__label-text {
  width: 100px;
  color: #666666;
  text-align: left;
  position: relative;
  line-height: 24px;
  font-size: 16px;
  letter-spacing: 0;
}

.dashboard-page .carousel-item__label-text.rq-no-label {
  width: 126px;
}

.dashboard-page .card-info__colon {
  position: absolute;
  right: 0px;
}

.dashboard-page .rotor-btn {
  padding: 6px 16px 4px 16px;
  background-color: #2d6bff;
  border-radius: 0px;
  letter-spacing: 2px;
  font-size: 16px;
  font-weight: 400;
  line-height: 14px;
  color: #fff;
  margin: 0px;
  border: 1px solid #2d6bff;
  height: 40px;
}

.dashboard-page .rotor-btn.rotor-btn--stroked {
  background-color: transparent;
  border: 1px solid #2d6bff;
  color: #2d6bff;
  text-transform: uppercase;
}

.dashboard-page .rotor-btn--transparent {
  background-color: transparent;
  border: 0px;
  color: #2d6bff;
  text-decoration: underline;
  text-transform: none;
  letter-spacing: normal;
  padding-left: 0px;
}

.dashboard-page .rotor-btn.rotor-btn--transparent:active {
  background-color: transparent;
  border: 0px;
}

.dashboard-page .rotor-btn:hover,
.dashboard-page .rotor-btn--hover {
  background-color: #4f4f4f;
  color: #fff;
  border: 1px solid #4f4f4f;
  cursor: pointer;
}

.dashboard-page .rotor-btn:hover svg path {
  fill: #fff;
}

.dashboard-page .rotor-btn--transparent:hover {
  background-color: transparent;
  border: 0px;
  color: #777;
}

.dashboard-page .rotor-btn:active,
.dashboard-page .rotor-btn--active,
.dashboard-page .rotor-btn--active:hover {
  background-color: #7799ff;
  color: #000;
  border: 1px solid #7799ff;
  cursor: pointer;
}

.headline {
  border-bottom: none;
}

.spareheadline a {
  text-decoration: underline;
  text-transform: none;
  border-bottom: none;
}

.page-utasDashboardPage #content {
  margin-bottom: 60px;
}

.page-utasDashboardPage #content {
  margin-bottom: 60px;
}

.dashboard-popup-container, .dashboard-quote-popup-container, .dashboard-repair-popup-container, .dashboard-spare-buyagain-popup-container,.dashboard-spare-buyagain-popup-partsremoved-overlay,
.dashboard-spare-buyagain-popup-zpstock-overlay, .dashboard-requested-quote-container{
  background-color: rgba(0, 0, 0, 0.4);
  position: fixed;
  height: 100%;
  width: 100%;
  left: 0px;
  top: 0px;
  z-index: 999;
}
.dashboard-popup {
  font-family: "RotorFont, Arial, Helvetica, sans-serif";
  height: 316px;
  width: 464px;
  display: flex;
  /* justify-content: space-between; */
  flex-direction: column;
  background-color: #fff;
  margin: 10% auto;
}

.dashboard-popup--header {
  display: flex;
  justify-content: space-between;
  padding: 16px;
  height: 48px;
  align-items: center;
}

.dashboard-popup--heading {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 2.5px;
  color: #000;
}
.dashboard-popup--close, .dashboard-quote-popup--close, .dashboard-repair-popup--close,.dashboard-spare-buyagainpopup--close {
  height: 16px;
  width: 16px;
  text-align: center;
  cursor: pointer;
  color: #000;
  justify-content: center;
  align-items: center;
}

.dashboard-popup--close:hover, .dashboard-quote-popup--close:hover, .dashboard-repair-popup--close:hover,.dashboard-spare-buyagainpopup--close:hover {
  color: #aaa;
}
.dashboard-popup--body {
  padding: 16px;
  font-size: 14px;
  line-height: 22px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.popup-select-order-container {
  display: flex;
  gap: 8px;
  margin-top: 8px;
  margin-bottom: 18px;
}

.popup-order-activity-container {
  flex-direction: column;
  display: flex;
  gap: 8px;
}
.popup-order-activity-container input {
  margin-left: 4px;
}

.popup-grey-text {
  color: #666;
  margin-bottom: 8px;
}

.dashboard-page .rotor-btn.dashboard-popup-btn, .rotor-btn.dashboard-quote-popup-btn, .rotor-btn.dashboard-repair-popup-btn {
  margin: 24px auto 0px;
  height: 40px;
  width: min-content;
}
.hide {
  display: none;
}

.dashboard-popup.rotor-radio,
.dashboard-popup .rotor-radio__label {
  font-weight: 400;
  color: #000;
}

input.rotor-radio[type="radio"]:checked
  + label.rotor-radio__label:not(.label--toggle)::before {
  background: transparent;
  left: 0;
  top: 0;
  width: 16px;
  height: 16px;
  position: relative;
}

.dashboard-popup-content {
  width: 100%;
}

.dashboard-page .po-link,
.dashboard-page .rq-no-link {
  white-space: nowrap;
  text-align: left;
  max-width: 20ch;
}

.dashboard-page .text-tooltip {
  position: absolute;
  visibility: hidden;
  opacity: 0;
  padding: 4px;
  border-radius: 2px;
  background: rgba(2, 2, 2, 0.7);
  color: rgb(255, 255, 255);
  z-index: 9999;
  bottom: 100%;
  left: 50%;
  max-width: 200px;
  word-break: break-all;
}

.dashboard-page .po-link:hover + .text-tooltip {
  transform: translateX(-38%);
}

.dashboard-page .rq-no-link:hover + .text-tooltip {
  transform: translateX(-24%);
}

.dashboard-page .po-link:hover + .text-tooltip,
.dashboard-page .rq-no-link:hover + .text-tooltip {
  visibility: visible;
  opacity: 1;
}

.dashboard-page .card-info-text-container {
  position: relative;
}


.dashboard-page .card-info-text-container-right .carousel-item__info-text {
  max-width: 105px;
  line-height: 26px;
  word-break: break-all;
}

.dashboard-page__main-para {
    display: none;
}

.filter-visibility {
   visibility:hidden;
}

.dashboard-page .card-info-text-container-right > .carousel-item__info-text {
    padding-left: 2px;
}

.carousel-item__rq-part-num {
    max-width: 240px;
    overflow: hidden;
    height: 24px;
    text-align: left;
    word-break: break-all;
}

/**********************149392 - Dashboard Phase - 3: Buy Again modal pop up - UI**********************************/
.open-spare-buyagain{
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 4px;
}
.open-spare-buyagain-btn, .add__to__cart__button{
  height:34px;
  font-family: "RotorFont", Arial, Helvetica, sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 2px;
  text-align: center;
  height: 34px;
  background-color: #2D6BFF;
  padding: 6px 16px;
  color: #fff;
}
/**********************149392 - Dashboard Phase - 3: Buy Again modal pop up - UI**********************************/

.dashboard-page .view-quote-btn {
    color: #2d6bff;
    text-decoration: underline;
    margin-left: 12px;
    font-size: 16px;
}

.dashboard-page .view-quote-btn:hover {
    color: #777;
}

.dashboard-page .view-quote-btn:active {
    color: #000;
}

.dashboard-page .repair-order-btn-container {
    display: flex;
    gap: 16px;
    margin: 4px auto 6px;
    height: 34px;
}
.dashboard-page .repair-order-btn-container .rotor-btn {
    height: 34px;
    font-size: 14px;
    line-height: 22px;
    letter-spacing: 2px;
}
.dashRemoveCart-cancel {
    margin-right: 10px;
    height: 32px;
    width: 116px;
    background-color: #fff;
    color: #000;
    border: 1px solid #000;
    line-height: 18px;
    cursor: pointer;
    font-size: 12px;
    letter-spacing: 0;
    font-family: 'RotorFont' !important;
    
}
.dashRemoveCart-save {
    height: 32px;
    width: 125px;
    background-color: #2D6BFF;
    color: #fff;
    border: none;
    line-height: 18px;
    cursor: pointer;
    font-size: 12px;
    letter-spacing: 1.5px;
    font-family: 'RotorFont' !important;
}


.dashRemovePopupBody {
	color: #000;
	padding: 10px 16px;
	font-size: 12px;
	letter-spacing: 0;
	line-height: 18px;
}

.dashRemoveFooter {
	margin: 20px auto 10px;
	display: flex;
	justify-content: space-evenly;
}
.dashRemoveHead {
	display: flex;
	justify-content:space-between;
    margin: 12px;
}

.dashRemoveHead .dashRemoveClose {
    font-size: 24px;
    line-height: 1;
}

.dashRemoveSection {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    background: #fff;
    width: 288px !important;
    box-shadow: 0 24px 40px 0 rgb(26 26 26 / 16%);
}
